> For the complete documentation index, see [llms.txt](https://docs.nftgarden.app/jp/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nftgarden.app/jp/api/nft-api/v1.2/create-contract.md).

# コントラクト生成

## **createcollection** <a href="#createcollection" id="createcollection"></a>

新規コントラクトを生成します。

## **基本情報** <a href="#basic-info" id="basic-info"></a>

<table><thead><tr><th width="134">プロパティ</th><th width="279">詳細</th></tr></thead><tbody><tr><td>URL</td><td><code>/api/v1/createcollection</code></td></tr><tr><td>Method</td><td>POST</td></tr></tbody></table>

## **リクエストパラメータ** <a href="#request" id="request"></a>

<table><thead><tr><th width="166">パラメータ</th><th width="101">種類</th><th width="156">必須</th><th width="291">詳細</th></tr></thead><tbody><tr><td>wallet_address</td><td>str</td><td>yes</td><td>生成するコントラクトの所有者</td></tr><tr><td>name</td><td>str</td><td>yes</td><td>生成するコントラクトの名称</td></tr><tr><td>blockchain</td><td>str</td><td>yes</td><td>生成先のブロックチェーン</td></tr><tr><td>description</td><td>str</td><td>No*</td><td>*<code>Solana</code>, <code>Solana-testnet</code>のみ必須</td></tr><tr><td>image</td><td>str</td><td>No*</td><td>*<code>Solana</code>, <code>Solana-testnet</code>のみ必須</td></tr><tr><td>is_locked</td><td>boolean</td><td>No</td><td>trueを指定するとそのコントラクトで生成するNFTがSoulBound Tokenになる。未指定の場合false</td></tr><tr><td>enable_api</td><td>boolean</td><td>No</td><td>trueを指定するとAPI経由でNFT作成が可能。未指定の場合true</td></tr><tr><td>enable_transfer</td><td>boolean</td><td>No</td><td>trueを指定するとAPI経由でNFTの転送が可能。未指定の場合false</td></tr></tbody></table>

## **blockchainパラメータに指定できるブロックチェーン** <a href="#blockchain" id="blockchain"></a>

[対応ブロックチェーン](/jp/blockchain.md)のページのネットワークの項目の名称をご指定ください。

## **リクエストのサンプル** <a href="#sample-request" id="sample-request"></a>

```json
{
  "wallet_address": "111111111111111111111111111111111111111111",
  "blockchain": "solana",
  "name": "contract name 1",
  "description": "description of contract name 1",
  "image": "https://my.nftgarden.app/image.png"
}
```

## **成功した場合のレスポンス例** <a href="#response" id="response"></a>

```json
{
  "request": {
      "name": "contract name 1",
      "blockchain": "solana",
      "enable_api": true,
      "enable_transfer": false,
      "wallet_address": "111111111111111111111111111111111111111111",
      "description": "description of contract name 1",
      "image": "https://my.nftgarden.app/image.png"
  },
  "response": {
      "transaction_gdn_id": "1bd77cf7-a5ec-462c-ad06-faf942fefe21",
      "accepted_date": "2022-12-09 17:59:16"
  }
}
```

## **失敗した場合のレスポンス例(ステータスコード400)** <a href="#error" id="error"></a>

```json
{
    "error": {
        "title": "Request Validation Error",
        "message": "blockchain field required"
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nftgarden.app/jp/api/nft-api/v1.2/create-contract.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
